Index: include/brlcad/Cone.h
===================================================================
--- include/brlcad/Cone.h	(revision 74453)
+++ include/brlcad/Cone.h	(working copy)
@@ -39,44 +39,44 @@
 namespace BRLCAD {
     class BRLCAD_COREINTERFACE_EXPORT Cone : public Object {
     public:
-        Cone(void) throw(bad_alloc);                               ///< constructs a cone at the origin with unit radius and unit height
+        Cone(void);                                   ///< constructs a cone at the origin with unit radius and unit height
         Cone(const Vector3D& basePoint,
              const Vector3D& height,
              const Vector3D& semiPrincipalAxisA,
              const Vector3D& semiPrincipalAxisB,
              double          ratioCtoA,
-             double          ratioDtoB) throw(bad_alloc);          ///< tgc: basePoint, height, two perpendicular semi principal axes of base face and two scalars for the semi principal axes of top face
+             double          ratioDtoB);              ///< tgc: basePoint, height, two perpendicular semi principal axes of base face and two scalars for the semi principal axes of top face
         Cone(const Vector3D& basePoint,
              const Vector3D& height,
              const Vector3D& semiPrincipalAxisA,
              const Vector3D& semiPrincipalAxisB,
-             double          scale) throw(bad_alloc);              ///< tec: basePoint, height, two perpendicular semi principal axes of base face and one ratio for scaling the semi principal axes of top face
+             double          scale);                  ///< tec: basePoint, height, two perpendicular semi principal axes of base face and one ratio for scaling the semi principal axes of top face
         Cone(const Vector3D& basePoint,
              const Vector3D& height,
              const Vector3D& semiPrincipalAxisA,
-             const Vector3D& semiPrincipalAxisB) throw(bad_alloc); ///< rec: basePoint, height, two perpendicular semi principal axes of base and top face
+             const Vector3D& semiPrincipalAxisB);     ///< rec: basePoint, height, two perpendicular semi principal axes of base and top face
         Cone(const Vector3D& basePoint,
              const Vector3D& height,
              double          radiusBase,
-             double          radiusTop) throw(bad_alloc);          ///< trc: basePoint, height and two radii for base and top face respectively
+             double          radiusTop);              ///< trc: basePoint, height and two radii for base and top face respectively
         Cone(const Vector3D& basePoint,
              const Vector3D& height,
-             double          radius) throw(bad_alloc);             ///< rcc: basePoint, height and one radius for base and top face
-        Cone(const Cone& original) throw(bad_alloc);
-        virtual ~Cone(void) throw();
+             double          radius);                 ///< rcc: basePoint, height and one radius for base and top face
+        Cone(const Cone& original);
+        virtual ~Cone(void);
 
-        const Cone&           operator=(const Cone& original) throw(bad_alloc);
+        const Cone&           operator=(const Cone& original);
 
-        Vector3D              BasePoint(void) const throw();
-        void                  SetBasePoint(const Vector3D& basePoint) throw();
+        Vector3D              BasePoint(void) const;
+        void                  SetBasePoint(const Vector3D& basePoint);
 
-        Vector3D              Height(void) const throw();
-        void                  SetHeight(const Vector3D& height) throw();
+        Vector3D              Height(void) const;
+        void                  SetHeight(const Vector3D& height);
 
         /// semi principal axes (base and top face) are accessed by their index (0/1/2/3 for the vectos a/b/c/d)
-        Vector3D              SemiPrincipalAxis(size_t index) const throw();
+        Vector3D              SemiPrincipalAxis(size_t index) const;
         void                  SetSemiPrincipalAxis(size_t          index,
-                                                   const Vector3D& semiPrincipalAxis) throw();
+                                                   const Vector3D& semiPrincipalAxis);
 
         void                  Set(const Vector3D& basePoint,
                                   const Vector3D& height,
@@ -83,36 +83,36 @@
                                   const Vector3D& semiPrincipalAxisA,
                                   const Vector3D& semiPrincipalAxisB,
                                   double          ratioCtoA,
-                                  double          ratioDtoB) throw();          ///< truncated general cone (tgc)
+                                  double          ratioDtoB);                 ///< truncated general cone (tgc)
         void                  Set(const Vector3D& basePoint,
                                   const Vector3D& height,
                                   const Vector3D& semiPrincipalAxisA,
                                   const Vector3D& semiPrincipalAxisB,
-                                  double          scale) throw();              ///< truncated elliptical cone (tec)
+                                  double          scale);                     ///< truncated elliptical cone (tec)
         void                  Set(const Vector3D& basePoint,
                                   const Vector3D& height,
                                   const Vector3D& semiPrincipalAxisA,
-                                  const Vector3D& semiPrincipalAxisB) throw(); ///< right elliptical cylinder (rec)
+                                  const Vector3D& semiPrincipalAxisB);        ///< right elliptical cylinder (rec)
         void                  Set(const Vector3D& basePoint,
                                   const Vector3D& height,
                                   double          radiusBase,
-                                  double          radiusTop) throw();          ///< truncated right cone (trc)
+                                  double          radiusTop);                 ///< truncated right cone (trc)
         void                  Set(const Vector3D& basePoint,
                                   const Vector3D& height,
-                                  double          radius) throw();             ///< right circular cylinder (rcc)
+                                  double          radius);                    ///< right circular cylinder (rcc)
 
         // inherited from BRLCAD::Object
-        virtual const Object& operator=(const Object& original) throw(bad_alloc);
-        virtual Object*       Clone(void) const throw(bad_alloc, std::bad_alloc);
-        static const char*    ClassName(void) throw();
-        virtual const char*   Type(void) const throw();
-        virtual bool          IsValid(void) const throw(); ///< checks if semi-principal axes are perpendicular, if the ones at the base have positive length, if height has positive length and is not in the plane of semi-principal axes and if corresponding base and top semi principal axes are parallel and pointing to the same direction
+        virtual const Object& operator=(const Object& original);
+        virtual Object*       Clone(void) const;
+        static const char*    ClassName(void);
+        virtual const char*   Type(void) const;
+        virtual bool          IsValid(void) const; ///< checks if semi-principal axes are perpendicular, if the ones at the base have positive length, if height has positive length and is not in the plane of semi-principal axes and if corresponding base and top semi principal axes are parallel and pointing to the same direction
 
     protected:
         Cone(resource*       resp,
              directory*      pDir,
              rt_db_internal* ip,
-             db_i*           dbip) throw();
+             db_i*           dbip);
 
         friend class ConstDatabase;
 
@@ -119,8 +119,8 @@
     private:
         rt_tgc_internal* m_internalp;
 
-        rt_tgc_internal*       Internal(void) throw();
-        const rt_tgc_internal* Internal(void) const throw();
+        rt_tgc_internal*       Internal(void);
+        const rt_tgc_internal* Internal(void) const;
 
         friend class Database;
     };
Index: include/brlcad/ConstDatabase.h
===================================================================
--- include/brlcad/ConstDatabase.h	(revision 74453)
+++ include/brlcad/ConstDatabase.h	(working copy)
@@ -45,29 +45,29 @@
 
     class BRLCAD_COREINTERFACE_EXPORT ConstDatabase {
     public:
-        ConstDatabase(void) throw(bad_alloc);
-        virtual ~ConstDatabase(void) throw();
+        ConstDatabase(void);
+        virtual ~ConstDatabase(void);
 
         /// associates the handle with a BRL-CAD database file (*.g)
         /** If the handle was already associated with a database file this association will be discarded.
             The file will be opened for reading only. */
-        virtual bool         Load(const char* fileName) throw();
+        virtual bool         Load(const char* fileName);
 
         /// @name Parsing the database
         //@{
         /// title string read from the database
-        const char*          Title(void) const throw();
+        const char*          Title(void) const;
 
 
         class BRLCAD_COREINTERFACE_EXPORT TopObjectIterator {
         public:
-            TopObjectIterator(const TopObjectIterator& original) throw() : m_hashTablePosition(original.m_hashTablePosition),
-                                                                           m_pDir(original.m_pDir),
-                                                                           m_rtip(original.m_rtip) {}
+            TopObjectIterator(const TopObjectIterator& original): m_hashTablePosition(original.m_hashTablePosition),
+                                                                  m_pDir(original.m_pDir),
+                                                                  m_rtip(original.m_rtip) {}
 
-            ~TopObjectIterator(void) throw() {}
+            ~TopObjectIterator(void) {}
 
-            const TopObjectIterator& operator=(const TopObjectIterator& original) throw() {
+            const TopObjectIterator& operator=(const TopObjectIterator& original) {
                 m_hashTablePosition = original.m_hashTablePosition;
                 m_pDir              = original.m_pDir;
                 m_rtip              = original.m_rtip;
@@ -75,9 +75,9 @@
                 return *this;
             }
 
-            const TopObjectIterator& operator++(void) throw();
-            bool                     Good(void) const throw();
-            const char*              Name(void) const throw();
+            const TopObjectIterator& operator++(void);
+            bool                     Good(void) const;
+            const char*              Name(void) const;
 
         private:
             size_t           m_hashTablePosition;
@@ -86,7 +86,7 @@
 
             TopObjectIterator(size_t           hashTablePosition,
                               const directory* pDir,
-                              const rt_i*      rtip) throw();
+                              const rt_i*      rtip);
 
             friend class ConstDatabase;
 
@@ -96,7 +96,7 @@
 
         /// returns the first of the top level objects via an iterator object
         /** To get a list of all top level objects you have to use the iterator returned by this function. */
-        TopObjectIterator    FirstTopObject(void) const throw();
+        TopObjectIterator    FirstTopObject(void) const;
         //@}
 
         /// @name Accessing objects
@@ -103,15 +103,15 @@
         //@{
         class ObjectCallback {
         public:
-            virtual ~ObjectCallback(void) throw() {}
+            virtual ~ObjectCallback(void) {}
 
             /// the user has to implement this object method to evaluate the object
             virtual void operator()(const Object& object) = 0;
 
         protected:
-            ObjectCallback(void) throw() {}
-            ObjectCallback(const ObjectCallback&) throw() {}
-            const ObjectCallback& operator=(const ObjectCallback&) throw() {return *this;}
+            ObjectCallback(void) {}
+            ObjectCallback(const ObjectCallback&) {}
+            const ObjectCallback& operator=(const ObjectCallback&) {return *this;}
         };
 
         /// selects a single object and hand it over to an ObjectCallback (read only)
@@ -120,11 +120,11 @@
 
         /// overloaded member function, provided for convenience: selects a single object and and returns a copy of it
         /** Do not forget to BRLCAD::Object::Destroy() the copy when you are finished with it! */
-        Object*              Get(const char* objectName) const throw(bad_alloc, std::bad_alloc);
+        Object*              Get(const char* objectName) const;
 
         /// facetizes a single object's tree and returns it as a non-manifold geometry
         /** Do not forget to BRLCAD::Object::Destroy() the non-manifold geometry when you are finished with it! */
-        NonManifoldGeometry* Facetize(const char* objectName) const throw(bad_alloc, std::bad_alloc);
+        NonManifoldGeometry* Facetize(const char* objectName) const;
         //@}
 
         /// @name Active set functions
@@ -132,41 +132,41 @@
         /// add the database object \a objectName to the active set
         /** The function accepts a space separated list of object names too,
             but it is not sure that this behaviour will be kept in future versions. */
-        void                 Select(const char* objectName) throw();
+        void                 Select(const char* objectName);
         /// clear the active set
-        void                 UnSelectAll(void) throw();
+        void                 UnSelectAll(void);
 
-        bool                 SelectionIsEmpty(void) const throw();
-        Vector3D             BoundingBoxMinima(void) const throw();
-        Vector3D             BoundingBoxMaxima(void) const throw();
+        bool                 SelectionIsEmpty(void) const;
+        Vector3D             BoundingBoxMinima(void) const;
+        Vector3D             BoundingBoxMaxima(void) const;
 
         /// ray trace
         class Hit {
         public:
-            virtual ~Hit(void) throw() {}
+            virtual ~Hit(void) {}
 
-            virtual const char* Name(void) const throw()                = 0;
-            virtual double      DistanceIn(void) const throw()          = 0;
-            virtual double      DistanceOut(void) const throw()         = 0;
-            virtual Vector3D    PointIn(void) const throw()             = 0;
-            virtual Vector3D    PointOut(void) const throw()            = 0;
-            virtual Vector3D    SurfaceNormalIn(void) const throw()     = 0;
-            virtual Vector3D    SurfaceNormalOut(void) const throw()    = 0;
-            virtual Curvature3D SurfaceCurvatureIn(void) const throw()  = 0;
-            virtual Curvature3D SurfaceCurvatureOut(void) const throw() = 0;
-            virtual Mapping2D   Surface2DMappingIn(void) const throw()  = 0;
-            virtual Mapping2D   Surface2DMappingOut(void) const throw() = 0;
+            virtual const char* Name(void) const                  = 0;
+            virtual double      DistanceIn(void) const            = 0;
+            virtual double      DistanceOut(void) const           = 0;
+            virtual Vector3D    PointIn(void) const               = 0;
+            virtual Vector3D    PointOut(void) const              = 0;
+            virtual Vector3D    SurfaceNormalIn(void) const       = 0;
+            virtual Vector3D    SurfaceNormalOut(void) const      = 0;
+            virtual Curvature3D SurfaceCurvatureIn(void) const    = 0;
+            virtual Curvature3D SurfaceCurvatureOut(void) const   = 0;
+            virtual Mapping2D   Surface2DMappingIn(void) const    = 0;
+            virtual Mapping2D   Surface2DMappingOut(void) const   = 0;
 
             /// some extracted data (originally from the region)
-            virtual bool        HasColor(void) const throw()            = 0;
-            virtual double      Red(void) const throw()                 = 0;
-            virtual double      Green(void) const throw()               = 0;
-            virtual double      Blue(void) const throw()                = 0;
+            virtual bool        HasColor(void) const              = 0;
+            virtual double      Red(void) const                   = 0;
+            virtual double      Green(void) const                 = 0;
+            virtual double      Blue(void) const                  = 0;
 
         protected:
-            Hit(void) throw() {}
-            Hit(const Hit&) throw() {}
-            const Hit& operator=(const Hit&) throw() {return *this;}
+            Hit(void) {}
+            Hit(const Hit&) {}
+            const Hit& operator=(const Hit&) {return *this;}
         };
 
 
@@ -180,12 +180,12 @@
             /** Do not throw en exception here.
                 This method will be called from deep inside the brlcad libraries.
                 The status of the program after an exception will be undetermined. */
-            virtual bool operator()(const Hit& hit) throw() = 0;
+            virtual bool operator()(const Hit& hit)              = 0;
 
         protected:
-            HitCallback(void) throw() {}
-            HitCallback(const HitCallback&) throw() {}
-            const HitCallback& operator=(const HitCallback&) throw() {return *this;}
+            HitCallback(void) {}
+            HitCallback(const HitCallback&) {}
+            const HitCallback& operator=(const HitCallback&) {return *this;}
         };
 
 
Index: include/brlcad/Database.h
===================================================================
--- include/brlcad/Database.h	(revision 74453)
+++ include/brlcad/Database.h	(working copy)
@@ -39,20 +39,20 @@
 namespace BRLCAD {
     class BRLCAD_COREINTERFACE_EXPORT Database : public ConstDatabase {
     public:
-        virtual ~Database(void) throw();
+        virtual ~Database(void);
 
         /// loads a BRL-CAD database file (*.g)
         /** The implementation will be determed by the subclasses. */
-        virtual bool Load(const char* fileName) throw() = 0;
+        virtual bool Load(const char* fileName) = 0;
 
-        void         SetTitle(const char* title) throw(bad_alloc);
+        void         SetTitle(const char* title);
 
         /// adds an object to the database
-        bool         Add(const Object& object) throw();
+        bool         Add(const Object& object);
 
         /// removes an object from the database
         /** The object but not its references are removed. */
-        void         Delete(const char* objectName) throw();
+        void         Delete(const char* objectName);
 
         /// @name Accessing objects
         //@{
@@ -60,15 +60,15 @@
 
         class ObjectCallback {
         public:
-            virtual ~ObjectCallback(void) throw() {}
+            virtual ~ObjectCallback(void) {}
 
             /// the user has to implement this object method to evaluate and modify the object
             virtual void operator()(Object& object) = 0;
 
         protected:
-            ObjectCallback(void) throw() {}
-            ObjectCallback(const ObjectCallback&) throw() {}
-            const ObjectCallback& operator=(const ObjectCallback&) throw() {return *this;}
+            ObjectCallback(void) {}
+            ObjectCallback(const ObjectCallback&) {}
+            const ObjectCallback& operator=(const ObjectCallback&) {return *this;}
         };
 
         /// selects a single object and hand it over to an ObjectCallback (for read and write)
@@ -77,13 +77,13 @@
 
         /// provided for convenience: selects a single object and sets it to \a object
         /** The type of the object in the database and \a object must match. */
-        void         Set(const Object& object) throw(bad_alloc);
+        void         Set(const Object& object);
         //@}
 
     protected:
         rt_wdb* m_wdbp;
 
-        Database(void) throw(bad_alloc);
+        Database(void);
 
     private:
         Database(const Database&);                  // not implemented
Index: include/brlcad/Ellipsoid.h
===================================================================
--- include/brlcad/Ellipsoid.h	(revision 74453)
+++ include/brlcad/Ellipsoid.h	(working copy)
@@ -39,54 +39,54 @@
 namespace BRLCAD {
     class BRLCAD_COREINTERFACE_EXPORT Ellipsoid : public Object {
     public:
-        Ellipsoid(void) throw(bad_alloc);                               ///< constructs the unit circle around the origin
+        Ellipsoid(void);                                    ///< constructs the unit circle around the origin
         Ellipsoid(const Vector3D& center,
                   const Vector3D& semiPrincipalAxisA,
                   const Vector3D& semiPrincipalAxisB,
-                  const Vector3D& semiPrincipalAxisC) throw(bad_alloc); ///< center and three perpendicular semi-principal-axes
+                  const Vector3D& semiPrincipalAxisC);      ///< center and three perpendicular semi-principal-axes
         Ellipsoid(const Vector3D& center,
                   const Vector3D& semiPrincipalAxis,
-                  double          radius) throw(bad_alloc);             ///< center, one semi-principal-axis and radius (body of revolution)
+                  double          radius);                  ///< center, one semi-principal-axis and radius (body of revolution)
         Ellipsoid(const Vector3D& center,
-                  double          radius) throw(bad_alloc);             ///< sphere with center and radius
-        Ellipsoid(const Ellipsoid& original) throw(bad_alloc);
-        virtual ~Ellipsoid(void) throw();
+                  double          radius);                  ///< sphere with center and radius
+        Ellipsoid(const Ellipsoid& original);
+        virtual ~Ellipsoid(void);
 
-        const Ellipsoid&      operator=(const Ellipsoid& original) throw(bad_alloc);
+        const Ellipsoid&      operator=(const Ellipsoid& original);
 
-        Vector3D              Center(void) const throw();
-        void                  SetCenter(const Vector3D& center) throw();
+        Vector3D              Center(void) const;
+        void                  SetCenter(const Vector3D& center);
 
         /// semi principal axes are accessed by their index (0/1/2 for the vectos a/b/c)*/
-        Vector3D              SemiPrincipalAxis(size_t index) const throw();
+        Vector3D              SemiPrincipalAxis(size_t index) const;
         void                  SetSemiPrincipalAxis(size_t          index,
-                                                   const Vector3D& semiPrincipalAxis) throw();
+                                                   const Vector3D& semiPrincipalAxis);
 
         void                  Set(const Vector3D& center,
                                   const Vector3D& semiPrincipalAxisA,
                                   const Vector3D& semiPrincipalAxisB,
-                                  const Vector3D& semiPrincipalAxisC) throw();
+                                  const Vector3D& semiPrincipalAxisC);
         void                  Set(const Vector3D& center,
                                   const Vector3D& semiPrincipalAxis,
-                                  double          radius) throw();
+                                  double          radius);
         void                  SetFocals(const Vector3D& focalA,
                                         const Vector3D& focalB,
-                                        double          majorAxisLength) throw();
+                                        double          majorAxisLength);
         void                  SetSphere(const Vector3D& center,
-                                        double          radius) throw();
+                                        double          radius);
 
         // inherited from BRLCAD::Object
-        virtual const Object& operator=(const Object& original) throw(bad_alloc);
-        virtual Object*       Clone(void) const throw(bad_alloc, std::bad_alloc);
-        static const char*    ClassName(void) throw();
-        virtual const char*   Type(void) const throw();
-        virtual bool          IsValid(void) const throw(); ///< checks if semi-principal axes are perpendicular and if they have positive length
+        virtual const Object& operator=(const Object& original);
+        virtual Object*       Clone(void) const;
+        static const char*    ClassName(void);
+        virtual const char*   Type(void) const;
+        virtual bool          IsValid(void) const;          ///< checks if semi-principal axes are perpendicular and if they have positive length
 
     protected:
         Ellipsoid(resource*       resp,
                   directory*      pDir,
                   rt_db_internal* ip,
-                  db_i*           dbip) throw();
+                  db_i*           dbip);
 
         friend class ConstDatabase;
 
@@ -93,8 +93,8 @@
     private:
         rt_ell_internal* m_internalp;
 
-        rt_ell_internal*       Internal(void) throw();
-        const rt_ell_internal* Internal(void) const throw();
+        rt_ell_internal*       Internal(void);
+        const rt_ell_internal* Internal(void) const;
 
         friend class Database;
     };
Index: include/brlcad/EllipticalTorus.h
===================================================================
--- include/brlcad/EllipticalTorus.h	(revision 74453)
+++ include/brlcad/EllipticalTorus.h	(working copy)
@@ -39,50 +39,50 @@
 namespace BRLCAD {
     class BRLCAD_COREINTERFACE_EXPORT EllipticalTorus : public Object {
     public:
-        EllipticalTorus(void) throw(bad_alloc);                                    ///< constructs a torus at origin with circular tube of unit radius, radius from center to tube-center of 2 and unit normal pointing in positive z direction
+        EllipticalTorus(void);                                        ///< constructs a torus at origin with circular tube of unit radius, radius from center to tube-center of 2 and unit normal pointing in positive z direction
         EllipticalTorus(const Vector3D& center,
                         const Vector3D& normalToTubeCenterLinePlane,
                         double          tubeCenterLineRadius,
                         const Vector3D& tubeSemiMajorAxis,
-                        double          tubeSemiMinorAxisLength) throw(bad_alloc); ///< center, normal of unit length (will be unitized of not of unit length), radius of revolution, semi-major axis of ellipse, length semi-minor axis of ellipse
-        EllipticalTorus(const EllipticalTorus& original) throw(bad_alloc);
-        virtual ~EllipticalTorus(void) throw();
+                        double          tubeSemiMinorAxisLength);     ///< center, normal of unit length (will be unitized of not of unit length), radius of revolution, semi-major axis of ellipse, length semi-minor axis of ellipse
+        EllipticalTorus(const EllipticalTorus& original);
+        virtual ~EllipticalTorus(void);
 
-        const EllipticalTorus& operator=(const EllipticalTorus& original) throw(bad_alloc);
+        const EllipticalTorus& operator=(const EllipticalTorus& original);
 
-        Vector3D               Center(void) const throw();
-        void                   SetCenter(const Vector3D& center) throw();
+        Vector3D               Center(void) const;
+        void                   SetCenter(const Vector3D& center);
 
-        Vector3D               Normal(void) const throw();
-        void                   SetNormal(const Vector3D& normal) throw();
+        Vector3D               Normal(void) const;
+        void                   SetNormal(const Vector3D& normal);
 
-        double                 TubeCenterLineRadius(void) const throw();
-        void                   SetTubeCenterLineRadius(double radius) throw();
+        double                 TubeCenterLineRadius(void) const;
+        void                   SetTubeCenterLineRadius(double radius);
 
-        Vector3D               TubeSemiMajorAxis(void) const throw();
-        void                   SetTubeSemiMajorAxis(const Vector3D& axis) throw();
+        Vector3D               TubeSemiMajorAxis(void) const;
+        void                   SetTubeSemiMajorAxis(const Vector3D& axis);
 
-        double                 TubeSemiMinorAxis(void) const throw();
-        void                   SetTubeSemiMinorAxis(double length) throw();
+        double                 TubeSemiMinorAxis(void) const;
+        void                   SetTubeSemiMinorAxis(double length);
 
         void                   Set(const Vector3D& center,
                                    const Vector3D& normalToTubeCenterLinePlane,
                                    double          tubeCenterLineRadius,
                                    const Vector3D& tubeSemiMajorAxis,
-                                   double          tubeSemiMinorAxisLength) throw();
+                                   double          tubeSemiMinorAxisLength);
 
         // inherited from BRLCAD::Object
-        virtual const Object&  operator=(const Object& original) throw(bad_alloc);
-        virtual Object*        Clone(void) const throw(bad_alloc, std::bad_alloc);
-        static const char*     ClassName(void) throw();
-        virtual const char*    Type(void) const throw();
-        virtual bool           IsValid(void) const throw(); ///< checks if normal has positive length, if radii are not 0 and if ellipse not overlap itself when revolved
+        virtual const Object&  operator=(const Object& original);
+        virtual Object*        Clone(void) const;
+        static const char*     ClassName(void);
+        virtual const char*    Type(void) const;
+        virtual bool           IsValid(void) const;                   ///< checks if normal has positive length, if radii are not 0 and if ellipse not overlap itself when revolved
 
     protected:
         EllipticalTorus(resource*       resp,
                         directory*      pDir,
                         rt_db_internal* ip,
-                        db_i*           dbip) throw();
+                        db_i*           dbip);
 
         friend class ConstDatabase;
 
@@ -89,8 +89,8 @@
     private:
         rt_eto_internal* m_internalp;
 
-        const rt_eto_internal* Internal(void) const throw();
-        rt_eto_internal*       Internal(void) throw();
+        const rt_eto_internal* Internal(void) const;
+        rt_eto_internal*       Internal(void);
 
         friend class Database;
     };
Index: include/brlcad/FileDatabase.h
===================================================================
--- include/brlcad/FileDatabase.h	(revision 74453)
+++ include/brlcad/FileDatabase.h	(working copy)
@@ -38,13 +38,13 @@
     public:
         /// creates a dysfunctional database
         /** Use Load() to enable this object. */
-        FileDatabase(void) throw(bad_alloc);
-        virtual ~FileDatabase(void) throw();
+        FileDatabase(void);
+        virtual ~FileDatabase(void);
 
         /// loads a BRL-CAD database file (*.g)
         /** If the file doesn't exist it will becreated
          *  All changes to the database will be immediately written to this file. */
-        virtual bool Load(const char* fileName) throw();
+        virtual bool Load(const char* fileName);
 
     private:
         FileDatabase(const FileDatabase&);                  // not implemented
